Bug 1193009 - Wrong language in License Agreement language selection combobox
Wrong language in License Agreement language selection combobox
Status: RESOLVED FIXED
Classification: openSUSE
Product: PUBLIC SUSE Linux Enterprise Server 15 SP4
Classification: openSUSE
Component: Installation
PublicBeta-202202
x86-64 Other
: P2 - High : Minor
: ---
Assigned To: YaST Team
https://trello.com/c/oVIP4Qln
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-23 18:10 UTC by George Gkioulis
Modified: 2022-11-25 13:17 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
language selection combobox is in french, everything else in english (110.16 KB, image/png)
2021-11-23 18:10 UTC, George Gkioulis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George Gkioulis 2021-11-23 18:10:59 UTC
Created attachment 853981 [details]
language selection combobox is in french, everything else in english

The language selection combobox can end up having it's listing in the wrong language, in the License Agreement page, during installation

Steps to reproduce:
* In "Language Keyboard and Product Selection Page" select a language (eg French)
* click next to go to License Agreement Page
* click back to go back to "Language Keyboard and Product Selection Page"
* select a different language (eg English (US)), and once more, click next
* Now in the License Agreement Page the combobox lists the languages in French instead of English.
Comment 1 Stefan Hundhammer 2021-11-23 23:49:56 UTC
I am confused about your expectation here.

So you selected the installation language to be French on the language and keyboard page; that was the first language selection.

Then you came to the license agreement page. The installation language was still French, of course, and it will remain French for the duration of the installation; unless you go back all the way to the very first page to select another one.

What you can select on the license agreement page is the language of the license agreement. That is for cases where for your installation language (of which we have many) there is no lawyer-approved translation of the license. For example, for the different variations of Spanish that we offer for installation (e.g. Catalan) there may not be a license translation; but a Catalan speaker will almost certainly speak Spanish, for which there is one, and will probably prefer a Spanish translation to the fallback English one.

But that does not change the fact that the installation language is still the one that you initially selected, so of course everything else (except the license) is and will remain in that language.

So what exactly do you see as the problem here?
Comment 2 Stefan Hundhammer 2021-11-24 08:31:25 UTC
Upon reading this again, I think now I understand what is wrong here:

Even when going back all the way again to the first page and selecting a different language there, the content of that combo box in the license page remains in the language that you had selected first; it is not retranslated to the new installation language you selected.

So, initially selecting "French" for the installation in the first page, then proceeding to the license page, the combo box has the names of the translations all in French (which is correct); but when you go back to the first page and select "English" there and proceed again to the license page, the languages in that combo box are still in French which is now wrong (it should now be English).

Did I understand this correctly now?
Comment 3 George Gkioulis 2021-11-24 09:02:17 UTC
(In reply to Stefan Hundhammer from comment #2)
> Upon reading this again, I think now I understand what is wrong here:
> 
> Even when going back all the way again to the first page and selecting a
> different language there, the content of that combo box in the license page
> remains in the language that you had selected first; it is not retranslated
> to the new installation language you selected.
> 
> So, initially selecting "French" for the installation in the first page,
> then proceeding to the license page, the combo box has the names of the
> translations all in French (which is correct); but when you go back to the
> first page and select "English" there and proceed again to the license page,
> the languages in that combo box are still in French which is now wrong (it
> should now be English).
> 
> Did I understand this correctly now?

Yes correct! (Now that I read my description again I could have phrased the issue a bit more clearly)
Comment 4 Stefan Hundhammer 2021-11-24 11:58:25 UTC
OK, thank you for confirming.

So the code for this combo box needs to make sure to re-populate the items and re-translate the languages whenever the user enters the page (at least when going forward through the wizard). Right now it appears to cache them.

While caching some information about the licenses makes sense, if course, it needs to cache the untranslated language names and translate them when they are needed; changing the installation language is a perfectly valid use case.
Comment 5 Stefan Hundhammer 2021-11-24 12:02:48 UTC
Moved to our SCRUM task queue to be addressed in a future sprint.
Comment 6 Stefan Weiberg 2022-03-30 10:23:08 UTC
Do you have any update on this issue?
Comment 7 Lukas Ocilka 2022-04-12 11:05:05 UTC
With the number of bugs we have, it's easy to overlook one important. On the other hand, the scenario of choosing a language and then going back to change it is (as it actually seems) not so common. Moreover, if someone choose French, they probably understand French and thus choosing the License language later should not be hard for them, so not a ship stopper.

Anyway, it's a bug, so I'm asking: Stefan, this is a P2, do you want us to fix it for SP4 GA, as a self-update or in SP5?
Comment 8 Stefan Weiberg 2022-04-27 17:12:32 UTC
I would suggest a fix in SP4 via self-update. I would also not be opposed to include the fix in GA, as it affects the install media. Even as a P2 bug.
Comment 9 Stefan Hundhammer 2022-11-24 09:10:33 UTC
See also bug #1204845
Comment 10 Stefan Hundhammer 2022-11-24 09:16:57 UTC
PR with fix and more details:

  https://github.com/yast/yast-country/pull/299
Comment 12 Stefan Hundhammer 2022-11-24 13:33:41 UTC
Fix for SLE-15 SP4:

  https://github.com/yast/yast-country/pull/300

SR to IBS:

  https://build.suse.de/request/show/285079

Maintenance team, this should be released as an installer self-update.